• GoDaddy Community
  • VPS & Dedicated Servers
  • VPS & Dedicated Servers

    cancel
    Showing results for 
    Show  only  | Search instead for 
    Did you mean: 
    Helper II

    Cpanel Requires IPv6 To Update From 66.0.34

    While Trying to update Cpanel v66.0.34 I Got a FATAL Error

     

    IPv6 is disabled. You must have the “ipv6” module compiled or loaded into the kernel and the AF_INET6 address family available.

     

    From what I know GoDaddy does not assign you IPv6 only IPv4 (if I am not mistaken).

    If I am mistaken; How can I get an IPv6.

    If I am not mistaken; when will GoDaddy Start Assigning IPv4 or Disable That Requirement in the Cpanel Update.

    11 REPLIES 11

    .Re: Cpanel Requires IPv6 To Update From 66.0.34

    Even I m facing the same issue from upgrading the cpanel & whm from v66 to v68.

     

    Blocker Message:

     

    FATAL: IPv6 is disabled. You must have the “ipv6” module compiled or loaded into the kernel and the AF_INET6 address family available.

     

    Did you get any solution?

    Helper II

    Re: .Re: Cpanel Requires IPv6 To Update From 66.0.34

    I tried to get ipv6 via terminal but was not able to, it might be on the the restriction on the VPS or it might be that ALL the clients on the VPS have one single IPv6

     

    I did not have time to contact support yet. I think this have to be fixed by the Servers Admins...

     

    Either issue each customer an IPv6.

    Or

    Remove that restriction from Cpanel so it is no more required

     

    However, moving to ipv6 is the best choice since ipv4 is almost out of stock and there will be no more left in the feature "2^32 addresses (just over 4 billion addresses `4294967296`4294967296 ` )"; which compared to ipv6 "2^128 addresses which is (340,282,366,920,938,463,463,374,607,431,768,211,456)

     

    If I contact support in regard to this matter I will post the result. If someone else did please share what was the final outcome. Thanks.

    Re: Cpanel Requires IPv6 To Update From 66.0.34

    Running into the same issue.  I just destroyed and rebuilt one server a couple of weeks ago, and when doing the updates then, no problem.  Did the same thing this weekend to another VPS, and ran into this issue.  

    Updating from 66.0.34 to 68.0.19 is where I seem to run into the snag.  Previous updates on 3 other servers worked all the way up to 68.0.18.  (All the other servers updated just find between 68.0.18 ----> 68.0.19.).  Just seem to be stuck at 66.0.34 on this most recent server.  😕

    Re: Cpanel Requires IPv6 To Update From 66.0.34

    Change Log for 68.0.19
    • Fixed case CPANEL-16965: Bump B::C to version 5.024024.
    • Fixed case CPANEL-16969: Remove inert userland SSLStorage logic from pkgacct.
    • Fixed case CPANEL-16990: pkgacct: avoid uninitialized value warning with --skiphomedir.
    • Fixed case CPANEL-16999: Make scripts/mysqlconnectioncheck save the password when it resets.
    • Fixed case CPANEL-17012: Workaround the show grants bug for Maria 10.2.
    • Fixed case CPANEL-17026: Update to check mysql with new MysqlUtils::Check module.
    • Fixed case CPANEL-17054: Block upgrades if IPv6 is disabled.
    • Fixed case CPANEL-17081: Simplify execution flow in Cpanel::SafeFile.

    Re: .Re: Cpanel Requires IPv6 To Update From 66.0.34

    I contacted support several times yesterday and they basically told me that i'm on my own since i chose the vps option and the only way they would give assistance is if i change the plan to being fully managed or to hire someone. I also am having issues with this and have no idea what i'm doing! 

     

    I just wanna ask do you guys know if updating the software would mean there will be newer versions of the PHP? This is basically the main reason why I want to update the software so i can see if PHP 7.3 is available.

     

    Any help would be great!

     

    Thanks in advance

    Helper II

    Re: .Re: Cpanel Requires IPv6 To Update From 66.0.34

    You are on you own for the things you have power over. The VPS DOES NOT allow you to access the ipv6 of the server (you will get an error that says command not found).

     

    Therefor there is no way of doing so without the Admins of the server.

    Next time tell them

    "I do not have access to find out my ipV6 is. You could either give me access to that or let one of your admins do" After that they will tell you to hold and will transfer you to someone who has more rights to the VPS, usually the people who answers you first are those who have the same rights to the VPS as you.

     

    It is better to update php and cpanel hand in hand .. other wise there might be a problem in the link between them and might cause some problems.

     

    New

    not Re: .Re: Cpanel Requires IPv6 To Update From 66.0.34

    i cannot add new account to my WHM it say fatal error. when i contacted Cpanel support ... they said this Thanks for sending me those details. It looks like this being caused by your system missing the IPv6 kernel module, which is required for cPanel to function properly. Can you contact GoDaddy and have them set that up for you? You can find more details on this here: https://documentation.cpanel.net/display/68Docs/Guide+to+IPv6+-+IPv6+Server+Administration Once they get that kernel module enabled on the system I would expect these errors to stop happening. Can you speak with them and let me know what they have to say? --

    but Godaddy not responding...

    New

    Re: Cpanel Requires IPv6 To Update From 66.0.34

    From my conversation with their support team, this is a known issue that GoDaddy does not currently have a solution to since the VPS environment does not fully support IPv6.  Once Godaddy can find a resolution to the issue with cPanel, your following update should push through fine.

    Re: Cpanel Requires IPv6 To Update From 66.0.34

    I just go the VPS and its the same story. They dont want to help. I want to just cancel this. Does anyone have a solution

    alternative solution to get your cpanel v66 to v68 regarding ipv6 issue

    for those like me that has been trying everything to resolve this annoying nag regarding the cPanel blocker with the ipv6 not been enabled by godaddy on the kernel, keeping your VPS stuck on version 66 ..

     

    I was able to resolve it and get my VPS running the version 68 after I enabled the Cluster at the WHM panel ..

     

    Using another dedicated server running at version 68 and enabled the cluster on both server and sent my settings to all configuration cluster servers ( in that case the VPS running v66 ) on Update Preferences.

     

    I wasn't able to see the results immediately, but on the next day I got complete surprised that it worked and my godaddy vps server was perfect running at version 68.0.28 .. so I decided to share this information for all those like me that has tried everything possible to get there WHM properly updated without any fatal error regarding that ipv6 module... 

     

    P.S. I have also enabled the DNS Cluster as standalone for both servers and not sure if it helped.. but the secret to get your server at the lasted version has been on the cluster configuration !! I got very happy when my server got full updated without any fatal error after weeks of frustration and no help from godaddy support about this issue !!

     

    I really hope this information help others running the same drama .. 

    Re: alternative solution to get your cpanel v66 to v68 regarding ipv6 issue

    I only have 1 server... Anything other solutions? Thank you!


    @jrxpress_com wrote:

    for those like me that has been trying everything to resolve this annoying nag regarding the cPanel blocker with the ipv6 not been enabled by godaddy on the kernel, keeping your VPS stuck on version 66 ..

     

    I was able to resolve it and get my VPS running the version 68 after I enabled the Cluster at the WHM panel ..

     

    Using another dedicated server running at version 68 and enabled the cluster on both server and sent my settings to all configuration cluster servers ( in that case the VPS running v66 ) on Update Preferences.

     

    I wasn't able to see the results immediately, but on the next day I got complete surprised that it worked and my godaddy vps server was perfect running at version 68.0.28 .. so I decided to share this information for all those like me that has tried everything possible to get there WHM properly updated without any fatal error regarding that ipv6 module... 

     

    P.S. I have also enabled the DNS Cluster as standalone for both servers and not sure if it helped.. but the secret to get your server at the lasted version has been on the cluster configuration !! I got very happy when my server got full updated without any fatal error after weeks of frustration and no help from godaddy support about this issue !!

     

    I really hope this information help others running the same drama ..